## Class TStaticSql

Description

TStaticSql class.

- since: 3.1
- version: $Id: TStaticSql.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TStaticSql.php (line 21)

    TComponent
       |
       --TStaticSql

Direct descendents

Class | Description
--- | ---
TSimpleDynamicSql | TSimpleDynamicSql class.

Method Summary
void buildPreparedStatement (mixed $statement, mixed $sqlString)
void getPreparedStatement ([mixed $parameter = null])
Methods
buildPreparedStatement (line 25)

- access: public

void buildPreparedStatement (mixed $statement, mixed $sqlString)
getPreparedStatement (line 31)

- access: public

void getPreparedStatement ([mixed $parameter = null])

Redefined in descendants as:

- TSimpleDynamicSql::getPreparedStatement()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:21 -0400 by phpDocumentor 1.3.0RC4